diff --git a/wcs/wf/export_to_model.py b/wcs/wf/export_to_model.py
index f910d531..4eef3ac1 100644
--- a/wcs/wf/export_to_model.py
+++ b/wcs/wf/export_to_model.py
@@ -17,52 +17,58 @@
 import base64
 import collections
 import io
-from xml.etree import ElementTree as ET
-import zipfile
 import os
 import random
+import shutil
 import subprocess
 import tempfile
 import time
-import shutil
-
-from django.utils.encoding import force_bytes, force_text
+import zipfile
+from xml.etree import ElementTree as ET
 
-from quixote import get_response, get_request, get_publisher
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
 from quixote.directory import Directory
 from quixote.html import htmltext
 
-from ..qommon import _, N_, ezt, misc, force_str
+from wcs.fields import CommentField
+from wcs.fields import PageField
+from wcs.fields import SubtitleField
+from wcs.fields import TitleField
+from wcs.portfolio import has_portfolio
+from wcs.portfolio import push_document
+from wcs.workflows import AttachmentEvolutionPart
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import get_formdata_template_context
+from wcs.workflows import register_item_class
+from wcs.workflows import template_on_context
+from wcs.workflows import template_on_formdata
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import ezt
+from ..qommon import force_str
 from ..qommon import get_logger
-from ..qommon.form import (
-    SingleSelectWidget,
-    WidgetList,
-    CheckboxWidget,
-    StringWidget,
-    UploadWidget,
-    WysiwygTextWidget,
-    Upload,
-    UploadedFile,
-    UploadValidationError,
-    VarnameWidget,
-    RadiobuttonsWidget,
-    PicklableUpload,
-    ComputedExpressionWidget,
-)
+from ..qommon import misc
 from ..qommon.errors import PublishError
+from ..qommon.form import CheckboxWidget
+from ..qommon.form import ComputedExpressionWidget
+from ..qommon.form import PicklableUpload
+from ..qommon.form import RadiobuttonsWidget
+from ..qommon.form import SingleSelectWidget
+from ..qommon.form import StringWidget
+from ..qommon.form import Upload
+from ..qommon.form import UploadedFile
+from ..qommon.form import UploadValidationError
+from ..qommon.form import UploadWidget
+from ..qommon.form import VarnameWidget
+from ..qommon.form import WidgetList
+from ..qommon.form import WysiwygTextWidget
 from ..qommon.template import TemplateError
 
-from wcs.fields import SubtitleField, TitleField, CommentField, PageField
-from wcs.workflows import (
-    WorkflowStatusItem,
-    AttachmentEvolutionPart,
-    template_on_formdata,
-    register_item_class,
-    get_formdata_template_context,
-    template_on_context,
-)
-from wcs.portfolio import has_portfolio, push_document
-
 OO_TEXT_NS = 'urn:oasis:names:tc:opendocument:xmlns:text:1.0'
 OO_OFFICE_NS = 'urn:oasis:names:tc:opendocument:xmlns:office:1.0'
 OO_STYLE_NS = 'urn:oasis:names:tc:opendocument:xmlns:style:1.0'
diff --git a/wcs/wf/external_workflow.py b/wcs/wf/external_workflow.py
index 1a7a0b0b..64002e0d 100644
--- a/wcs/wf/external_workflow.py
+++ b/wcs/wf/external_workflow.py
@@ -16,13 +16,19 @@
 
 from quixote import get_publisher
 
-from wcs.qommon import _, N_
-from wcs.qommon.form import Form, SingleSelectWidget, ComputedExpressionWidget, RadiobuttonsWidget
-
-from wcs.workflows import WorkflowStatusItem, perform_items, register_item_class
-from wcs.workflows import WorkflowGlobalActionWebserviceTrigger, Workflow
 from wcs.carddef import CardDef
 from wcs.formdef import FormDef
+from wcs.qommon import N_
+from wcs.qommon import _
+from wcs.qommon.form import ComputedExpressionWidget
+from wcs.qommon.form import Form
+from wcs.qommon.form import RadiobuttonsWidget
+from wcs.qommon.form import SingleSelectWidget
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowGlobalActionWebserviceTrigger
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import perform_items
+from wcs.workflows import register_item_class
 
 
 class ExternalWorkflowGlobalAction(WorkflowStatusItem):
diff --git a/wcs/wf/form.py b/wcs/wf/form.py
index 8ce7daab..3483b33a 100644
--- a/wcs/wf/form.py
+++ b/wcs/wf/form.py
@@ -16,17 +16,19 @@
 
 import xml.etree.ElementTree as ET
 
-from ..qommon import _, N_
-from ..qommon.form import *
-
-from wcs.workflows import WorkflowStatusItem, register_item_class
-from wcs.formdef import FormDef, lax_int
-
-from wcs.admin.fields import FieldDefPage, FieldsDirectory
+from wcs.admin.fields import FieldDefPage
+from wcs.admin.fields import FieldsDirectory
 from wcs.formdata import get_dict_with_varnames
-
+from wcs.formdef import FormDef
+from wcs.formdef import lax_int
 from wcs.forms.common import FileDirectory
 from wcs.forms.root import FormPage
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon.form import *
 
 
 def lookup_wf_form_file(self, filename):
diff --git a/wcs/wf/geolocate.py b/wcs/wf/geolocate.py
index 86ee2799..882f8cd5 100644
--- a/wcs/wf/geolocate.py
+++ b/wcs/wf/geolocate.py
@@ -20,19 +20,27 @@ import urllib.parse
 
 try:
     from PIL import Image
-    from PIL.ExifTags import TAGS, GPSTAGS
+    from PIL.ExifTags import GPSTAGS
+    from PIL.ExifTags import TAGS
     from PIL.TiffImagePlugin import IFDRational
 except ImportError:
     Image = None
 
 from quixote import get_publisher
 
-from ..qommon import _, N_, force_str
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import force_str
 from ..qommon import get_logger
 from ..qommon.errors import ConnectionError
-from ..qommon.form import RadiobuttonsWidget, ComputedExpressionWidget, CheckboxWidget
-from ..qommon.misc import http_get_page, normalize_geolocation
-from wcs.workflows import WorkflowStatusItem, register_item_class
+from ..qommon.form import CheckboxWidget
+from ..qommon.form import ComputedExpressionWidget
+from ..qommon.form import RadiobuttonsWidget
+from ..qommon.misc import http_get_page
+from ..qommon.misc import normalize_geolocation
 
 
 class GeolocateWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/jump.py b/wcs/wf/jump.py
index 5e66ff03..6b76d4f9 100644
--- a/wcs/wf/jump.py
+++ b/wcs/wf/jump.py
@@ -19,19 +19,27 @@ import json
 import os
 import time
 
-from quixote import get_publisher, get_request, redirect
-
+from quixote import get_publisher
+from quixote import get_request
+from quixote import redirect
 from quixote.directory import Directory
-from ..qommon import _, N_, force_str
-from ..qommon.humantime import *
-from ..qommon.form import *
-from ..qommon import errors
-from ..qommon.publisher import get_publisher_class
-from ..qommon.cron import CronJob
 
-from wcs.workflows import Workflow, WorkflowStatusJumpItem, WorkflowGlobalAction, register_item_class
-from wcs.api import get_user_from_api_query_string, is_url_signed
+from wcs.api import get_user_from_api_query_string
+from wcs.api import is_url_signed
 from wcs.conditions import Condition
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowGlobalAction
+from wcs.workflows import WorkflowStatusJumpItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import errors
+from ..qommon import force_str
+from ..qommon.cron import CronJob
+from ..qommon.form import *
+from ..qommon.humantime import *
+from ..qommon.publisher import get_publisher_class
 
 JUMP_TIMEOUT_INTERVAL = max((60 // int(os.environ.get('WCS_JUMP_TIMEOUT_CHECKS', '3')), 1))
 
@@ -306,8 +314,8 @@ def workflows_with_timeout():
 
 def _apply_timeouts(publisher):
     '''Traverse all filled form and apply expired timeout jumps if needed'''
-    from ..formdef import FormDef
     from ..carddef import CardDef
+    from ..formdef import FormDef
 
     wfs_status = workflows_with_timeout()
 
diff --git a/wcs/wf/notification.py b/wcs/wf/notification.py
index d93e59a0..d2ed33c5 100644
--- a/wcs/wf/notification.py
+++ b/wcs/wf/notification.py
@@ -18,12 +18,16 @@ import urllib.parse
 
 from quixote import get_publisher
 
-from ..qommon import _, N_, ezt
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+from wcs.workflows import template_on_formdata
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import ezt
+from ..qommon import get_logger
 from ..qommon.form import *
 from ..qommon.template import TemplateError
-from ..qommon import get_logger
-
-from wcs.workflows import WorkflowStatusItem, register_item_class, template_on_formdata
 from .wscall import WebserviceCallStatusItem
 
 
diff --git a/wcs/wf/profile.py b/wcs/wf/profile.py
index ef5da882..ce195acc 100644
--- a/wcs/wf/profile.py
+++ b/wcs/wf/profile.py
@@ -21,16 +21,28 @@ import time
 import urllib.parse
 import xml.etree.ElementTree as ET
 
-from quixote import get_publisher, get_response, get_request
-
-from ..qommon import _, N_
-from ..qommon.form import CompositeWidget, SingleSelectWidget, WidgetListAsTable, ComputedExpressionWidget
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+
+from wcs.api_utils import MissingSecret
+from wcs.api_utils import get_secret_and_orig
+from wcs.api_utils import sign_url
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import XmlSerialisable
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon.form import CompositeWidget
+from ..qommon.form import ComputedExpressionWidget
+from ..qommon.form import SingleSelectWidget
+from ..qommon.form import WidgetListAsTable
 from ..qommon.ident.idp import is_idp_managing_user_attributes
-from ..qommon.misc import http_patch_request, JSONEncoder
-from ..qommon.publisher import get_cfg, get_logger
-
-from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
-from wcs.workflows import XmlSerialisable, WorkflowStatusItem, register_item_class
+from ..qommon.misc import JSONEncoder
+from ..qommon.misc import http_patch_request
+from ..qommon.publisher import get_cfg
+from ..qommon.publisher import get_logger
 
 
 def user_ws_url(user_uuid):
diff --git a/wcs/wf/redirect_to_url.py b/wcs/wf/redirect_to_url.py
index 3ce7e727..0f4d90f0 100644
--- a/wcs/wf/redirect_to_url.py
+++ b/wcs/wf/redirect_to_url.py
@@ -14,9 +14,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from ..qommon import _, N_
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
 from ..qommon.form import ComputedExpressionWidget
-from wcs.workflows import WorkflowStatusItem, register_item_class
 
 
 class RedirectToUrlWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/register_comment.py b/wcs/wf/register_comment.py
index 1e06c479..8baa332d 100644
--- a/wcs/wf/register_comment.py
+++ b/wcs/wf/register_comment.py
@@ -14,19 +14,19 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from ..qommon import _, N_, ezt
-from ..qommon.form import *
-from ..qommon.template import TemplateError
-from ..qommon import get_logger
+import sys
 
-from wcs.workflows import (
-    WorkflowStatusItem,
-    register_item_class,
-    template_on_formdata,
-    AttachmentEvolutionPart,
-)
+from wcs.workflows import AttachmentEvolutionPart
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+from wcs.workflows import template_on_formdata
 
-import sys
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import ezt
+from ..qommon import get_logger
+from ..qommon.form import *
+from ..qommon.template import TemplateError
 
 
 class JournalEvolutionPart:
diff --git a/wcs/wf/remove.py b/wcs/wf/remove.py
index 2868d3b8..5a7d9bea 100644
--- a/wcs/wf/remove.py
+++ b/wcs/wf/remove.py
@@ -14,9 +14,16 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_request, get_response, get_session
-from ..qommon import _, N_
-from wcs.workflows import WorkflowStatusItem, register_item_class
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
 
 
 class RemoveWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/resubmit.py b/wcs/wf/resubmit.py
index 875ae773..28a491ae 100644
--- a/wcs/wf/resubmit.py
+++ b/wcs/wf/resubmit.py
@@ -14,12 +14,20 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_request, get_session
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
 
-from ..qommon import _, N_
-from wcs.workflows import WorkflowStatusItem, register_item_class
 from wcs.formdef import FormDef
-from wcs.qommon.form import WidgetList, SingleSelectWidget, StringWidget, WysiwygTextWidget
+from wcs.qommon.form import SingleSelectWidget
+from wcs.qommon.form import StringWidget
+from wcs.qommon.form import WidgetList
+from wcs.qommon.form import WysiwygTextWidget
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
 
 
 class ResubmitWorkflowStatusItem(WorkflowStatusItem):
diff --git a/wcs/wf/roles.py b/wcs/wf/roles.py
index fbc25e77..6ec62d81 100644
--- a/wcs/wf/roles.py
+++ b/wcs/wf/roles.py
@@ -17,16 +17,25 @@
 import sys
 import urllib.parse
 
-from quixote import get_request, get_publisher, get_response
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
 
-from ..qommon import _, N_
-from ..qommon.form import *
-from wcs.workflows import WorkflowStatusItem, register_item_class
+from wcs.api_utils import MissingSecret
+from wcs.api_utils import get_secret_and_orig
+from wcs.api_utils import sign_url
 from wcs.roles import get_user_roles
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon.form import *
 from ..qommon.ident.idp import is_idp_managing_user_attributes
-from ..qommon.misc import http_post_request, http_delete_request
-from ..qommon.publisher import get_cfg, get_logger
-from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
+from ..qommon.misc import http_delete_request
+from ..qommon.misc import http_post_request
+from ..qommon.publisher import get_cfg
+from ..qommon.publisher import get_logger
 
 
 def roles_ws_url(role_uuid, user_uuid):
diff --git a/wcs/wf/timeout_jump.py b/wcs/wf/timeout_jump.py
index e95d7403..9bca4001 100644
--- a/wcs/wf/timeout_jump.py
+++ b/wcs/wf/timeout_jump.py
@@ -15,7 +15,9 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from wcs.qommon import N_
-from .jump import JumpWorkflowStatusItem, register_item_class
+
+from .jump import JumpWorkflowStatusItem
+from .jump import register_item_class
 
 
 class TimeoutWorkflowStatusItem(JumpWorkflowStatusItem):
diff --git a/wcs/wf/wscall.py b/wcs/wf/wscall.py
index 10664d84..ce643da4 100644
--- a/wcs/wf/wscall.py
+++ b/wcs/wf/wscall.py
@@ -14,29 +14,31 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import collections
 import datetime
 import io
+import mimetypes
 import sys
 import traceback
 import xml.etree.ElementTree as ET
-import collections
-import mimetypes
 
 from django.utils.encoding import force_text
-
-from quixote.html import TemplateIO, htmltext
-
-from ..qommon import _, N_, force_str
+from quixote.html import TemplateIO
+from quixote.html import htmltext
+
+from wcs.workflows import AbortActionException
+from wcs.workflows import AttachmentEvolutionPart
+from wcs.workflows import WorkflowStatusItem
+from wcs.workflows import register_item_class
+from wcs.wscalls import call_webservice
+from wcs.wscalls import get_app_error_code
+
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import force_str
 from ..qommon.errors import ConnectionError
 from ..qommon.form import *
 from ..qommon.misc import json_loads
-from wcs.workflows import (
-    WorkflowStatusItem,
-    register_item_class,
-    AbortActionException,
-    AttachmentEvolutionPart,
-)
-from wcs.wscalls import call_webservice, get_app_error_code
 
 
 class JournalWsCallErrorPart:
diff --git a/wcs/workflows.py b/wcs/workflows.py
index e45830b1..a6198890 100644
--- a/wcs/workflows.py
+++ b/wcs/workflows.py
@@ -14,39 +14,57 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from .qommon import ezt
 import collections
 import copy
 import datetime
-import xml.etree.ElementTree as ET
-import random
 import os
+import random
 import sys
 import time
 import uuid
+import xml.etree.ElementTree as ET
 
 from django.utils.encoding import force_text
-
-from quixote import get_request, get_response, redirect, get_publisher
-
-from .qommon import _, N_, force_str
-from .qommon.misc import C_, get_as_datetime, file_digest, get_foreground_colour, xml_node_text
-from .qommon.storage import StorableObject, atomic_write, NotEqual, Contains, Null, pickle_2to3_conversion
-from .qommon.form import *
-from .qommon.humantime import seconds2humanduration
-from .qommon import emails, get_cfg, get_logger
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
 from quixote.html import htmltext
-from .qommon import errors
-from .qommon.template import Template, TemplateError
-from .qommon.upload_storage import PicklableUpload, get_storage_object
 
+from .carddef import CardDef
 from .conditions import Condition
-from .roles import logged_users_role, get_user_roles
 from .fields import FileField
-from .formdef import FormDef, FormdefImportError
-from .carddef import CardDef
 from .formdata import Evolution
+from .formdef import FormDef
+from .formdef import FormdefImportError
 from .mail_templates import MailTemplate
+from .qommon import N_
+from .qommon import _
+from .qommon import emails
+from .qommon import errors
+from .qommon import ezt
+from .qommon import force_str
+from .qommon import get_cfg
+from .qommon import get_logger
+from .qommon.form import *
+from .qommon.humantime import seconds2humanduration
+from .qommon.misc import C_
+from .qommon.misc import file_digest
+from .qommon.misc import get_as_datetime
+from .qommon.misc import get_foreground_colour
+from .qommon.misc import xml_node_text
+from .qommon.storage import Contains
+from .qommon.storage import NotEqual
+from .qommon.storage import Null
+from .qommon.storage import StorableObject
+from .qommon.storage import atomic_write
+from .qommon.storage import pickle_2to3_conversion
+from .qommon.template import Template
+from .qommon.template import TemplateError
+from .qommon.upload_storage import PicklableUpload
+from .qommon.upload_storage import get_storage_object
+from .roles import get_user_roles
+from .roles import logged_users_role
 
 if not __name__.startswith('wcs.') and not __name__ == "__main__":
     raise ImportError('Import of workflows module must be absolute (import wcs.workflows)')
diff --git a/wcs/wscalls.py b/wcs/wscalls.py
index 328b846c..38f6c23b 100644
--- a/wcs/wscalls.py
+++ b/wcs/wscalls.py
@@ -21,25 +21,29 @@ import urllib.parse
 import xml.etree.ElementTree as ET
 
 from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_request
 
-from quixote import get_publisher, get_request
+from wcs.api_utils import MissingSecret
+from wcs.api_utils import get_secret_and_orig
+from wcs.api_utils import sign_url
+from wcs.workflows import WorkflowStatusItem
 
-from .qommon import _, force_str
-from .qommon.misc import simplify, get_variadic_url, JSONEncoder, json_loads
-from .qommon.xml_storage import XmlStorableObject
-from .qommon.form import (
-    CompositeWidget,
-    StringWidget,
-    WidgetDict,
-    ComputedExpressionWidget,
-    RadiobuttonsWidget,
-    CheckboxWidget,
-)
+from .qommon import _
+from .qommon import force_str
 from .qommon import misc
+from .qommon.form import CheckboxWidget
+from .qommon.form import CompositeWidget
+from .qommon.form import ComputedExpressionWidget
+from .qommon.form import RadiobuttonsWidget
+from .qommon.form import StringWidget
+from .qommon.form import WidgetDict
+from .qommon.misc import JSONEncoder
+from .qommon.misc import get_variadic_url
+from .qommon.misc import json_loads
+from .qommon.misc import simplify
 from .qommon.template import Template
-
-from wcs.api_utils import sign_url, get_secret_and_orig, MissingSecret
-from wcs.workflows import WorkflowStatusItem
+from .qommon.xml_storage import XmlStorableObject
 
 
 def get_app_error_code(response, data, response_type):
-- 
2.30.1

